Release history for Zonemaster component Zonemaster-Engine

v8.1.1 2026-03-04 (part of Zonemaster v2025.2.1 release)

 [Fixes]
 - Corrects Nameserver13 implementation (#1505)
 - Fixes inactive upward referral guard (#1494)
 - Updates root hints after B-root renumbering (#1490)
 - Fixes missing value in Zone11 message tag (#1491)
 - Updates Swedish translation (#1509)


v8.1.0 2025-12-17 (part of Zonemaster v2025.2 release)

 [Deprecation]
 - Ignores and deprecates some profile properties. To be removed in
   release v2026.1 (#1472)

 [Features]
 - Updates test case implementations for Zone11, DNSSEC07, DNSSEC01, DNSSEC05,
   and Address01 (#1477, #1476, #1474, #1473, #1453)
 - Implements new MethodV2 method to give more information
   in relevant messages (#1475)

 [Fixes]
 - Fixes error in MethodsV2 (#1470)
 - Updates French translation (#1464, #1482)


v8.0.0 2025-06-26 (part of Zonemaster v2025.1 release)

 [Breaking changes]
 - Changes the string representation of IPv6 addresses in "NS_CREATED"
   messages #1420
 - Separates functions to trim whitespace and to normalize domain
   name, respectively #1316

 [Features]
 - Updates local copies of IANA special IP registries #1456
 - Lowers all WARNING to NOTICE for test case Zone01 #1455
 - Downgrades ERROR to WARNING in test case DNSSEC03 #1452
 - Improves performance by optimizing critical code sections #1420

 [Fixes]
 - Updates translations (Danish, Norwegian) #1418, #1449
 - Updates Dockerfile for release 2025.1 #1460
 - Fixes test case DNSSEC10 for name servers sharing the same IPs #1457
 - Adds blacklisting log message #1434
 - Fixes alias (CNAME) handling in Address03 test case #1432


v7.1.0 2025-03-04 (part of Zonemaster v2024.2.1 release)

 [Release information]
 - Translations have not been fully updated in this release. They will
   be updated in an upcoming extra release.

 [Features]
 - Adds translation to Slovenian language (#1385, #1435)

 [Fixes]
 - Updates translations for Swedish, Spanish and French (#1416, #1417, #1430)
 - Corrects how EDNS buffer size is set through 'edns_details' (#1429)
 - Corrects how Test Cases use returned values from some TestMethodsV2
   methods (#1427)
 - Updates implementation of test case DNSSEC10 (#1415)
 - Updates the name server blacklisting mechanism (#1423)
 - Fixes an infinite recursion bug when NS record points to CNAME (#1422)


v7.0.0 2024-12-09 (part of Zonemaster v2024.2 release)

 [Release information]
 - Translations have not been fully updated in this release. They will
   be updated in an upcoming extra release.

 [Breaking change]
 - Refactors ASNLookup code and documentation (#1257)

 [Features]
 - Changes default settings of queries (#1397)
 - Updates DNSSEC10 implementation (#1396)
 - Updates global cache and makes the feature being supported and not
   experimental (#1394)
 - Lowers the levels of ASN related messages from test case Connectivity03
   (#1388)
 - Updates MethodsV2 method to match new algorithm in test
   case Basic01 (#1373)
 - Adds CNAME followage in recursive lookups (#1288)
 - Updates profile function (#1356)

 [Fixes]
 - Fixes abort condition for undelegated tests in the Basic module (#1401)
 - Adds Try::Tiny in zonemaster-cli runtime Docker container (#1399)
 - Fixes CDS and CDNSKEY RRsets comparison in test case DNSSEC15 (#1383)
 - Removes test case Nameserver14 (never implemented) (#1390)
 - Updates Connectivity04 implementation (#1393)
 - Updates test case Delegation05 to include QNAME and QTYPE in diagnostics for
   failed queries (#1392)
 - Removes obsolete document (#1359)
 - Resolves IP addresses directly from Engine for out-of-bailiwick names in fake
   delegations (#1389)
 - Fixes spelling errors (external contribution from @emollier) (#1378)
 - Fixes barewords (external contribution from @emollier) (#1380)
 - Fixes misspellings (external contribution from @jsoref) (#1366)


v6.0.0 2024-07-01 (part of Zonemaster v2024.1 release)

 [Release information]
 - Translations have not been fully updated in this release. They will
   be updated in an upcoming release.

 [Breaking change]
 - Removes planned deprecated 'resolver.source' profile property.
   Breaks custom profiles using this property. Use 'resolver.source4'
   and 'resolver.source6' instead. (#1343)
 - Using 'profile.json' that comes with the Zonemaster::Engine
   installation as a template for custom profile is no longer supported.
   For the new supported way of extracting the default profile, see
   https://github.com/zonemaster/zonemaster/blob/master/docs/public/configuration/profiles.md#default-profile (#1339)

 [Features]
 - Makes it possible to run single testcase via test_zone() (#1312)
 - Updates Basic01 implementation (#1357)

 [Fixes]
 - Makes syntax04 take zone name instead of NS name (#1322, #1369)
 - Removes the code dependency on Moose (#1319)
 - Fixes Zonemaster::Engine::Translator’s instance() method (#1347)
 - Fixes polymorphism in Translator (#1346)
 - Adds minor changes to Zone11 msgids (#1348)
 - Update minimum Perl version to 5.16.0 and add missing 'warnings' (#1342)
 - Fixes undef eq comparison (#1363)


v5.0.0 2024-03-18 (public release version)

 [Release information]
 - Translations have not been fully updated in this release. They will
   be updated in an upcoming fix release.

 [Breaking change]
 - Removes deprecated features (#1309)

 [Features]
 - Adds global cache based on Redis (experimental) (#1201, #1327)
 - Adds implementation of test case Zone11 (SPF test) (#1287)
 - Removes implementation of Basic00 (#1308)

 [Fixes]
 - Updates implementation of test case Syntax06 (#1245)
 - Refactors code (#1256, #1294, #1293, #1296, #1297, #1302)
 - Improves documentation in Test modules (#1277)
 - Updates implementation of test case Delegation01 (#1290)
 - Fixes message tag log level for test case Zone08 (#1295)
 - Updates unit tests for test cases Consistency05 and Consistency06
   (#1303)
 - Updates implementation of test case DNSSEC03 (#1304)
 - Updates implementation of test case Nameserver15 (#1306)
 - Documents and updates method '_emit_log()' in all Test modules #1310)
 - Corrects ASN lookup sources (#1311)
 - Adds Mail::SPF in 2nd stage in Dockerfile (#1317)
 - Updates translations (#1324)


v4.7.3 2023-09-08 (public fix version)

 [Fixes]
- Fixes a bug in test case BASIC01 that made tests of zones
  fail if, while walking the chain of delegations from the root to the
  zone under test, a name server returns a referral pointing to name
  servers for an intermediate zone which are all out-of-bailiwick and
  lacking glue. The bug was introduced in version v4.7.0 in release
  v2023.1. (#1282)
- Disable blacklisting for queries by NAMESERVER15 to prevent false
  errors and warnings (#1285)


v4.7.2 2023-08-07 (public fix version)

 [Fixes]
 - Fixes bug (regression) in test case BASIC01 that made all tests of
   zone names that start with the same letters as the whole first label
   of the parent zone fail, e.g. "NOrid.NO" and "FRance.FR". The bug
   was introduced in version v4.7.1 in release v2023.1.1. (#1270)


v4.7.1 2023-07-24 (public fix version)

 [Fixes]
 - Fixes typo in the B01_CHILD_IS_ALIAS msgid for test case BASIC01
   (#1240, #1262)
 - Updates the translation to Norwegian (#1246)
 - Fixes bug in test case BASIC01 (#1249)


v4.7.0 2023-06-21 (public release version)

 [Features]
 - Updates implementation of test case BASIC01 (#1212)
 - Adds implementation of test case CONNECTIVITY04 and cleans-up
   implementation of test case CONNECTIVITY03 (#1219)
 - Adds implementation of test case NAMESERVER15 (#1218)
 - Adds implementation of MethodsV2 (#1050)
 - Updates implementation of test case BASIC02 (#1197)
 - Updates to accept YAML input for profile (#1209)
 - Adds new "resolver.source4" and "resolver.source6"
   properties to profile (#1203)

 [Fixes]
 - Updates translations (#1238, #1239, #1237, #1226, #1234, #1231)
 - Removes documentation moved to the zonemaster/zonemaster
   repository (#1235)
 - Docker: install Locale::PO through CPAN (#1232)
 - Lowers problematic tag in DNSSEC10 to DEBUG (#1225)
 - Updates for the usage of Zonemaster::Engine::Translator (#1221)
 - Updates implementation of NAMESERVER15 (#1220)
 - Updates unit tests for test case DNSSEC16 (#1216)
 - Updates unit tests for test case ZONE09 (#1215)
 - Disables default testing in installation instructions (#1217)
 - Fixes EDNS behavior for queries (#1147)
 - Removes Basic04 completely (#1179)
 - Adds method to get name server names from undelegated data
   cache (#1214)
 - Updates to avoid unnecessary calls to Profile::get in
   logger (#1200)
 - Updates implementation of ZONE09 (#1211)
 - Fixes RIPE ASN lookup results parsing (#1207)
 - Adds check PO file function (#1195)


v4.6.2 2023-03-01 (public fix version)

 [Fixes]
 - Updates translations to Spanish and Norwegian (#1199, #1196)


v4.6.1 2023-01-31 (public fix version)

 [Fixes]
 - Updates translations (#1180, #1167)
 - Fixes a bug that made implementation of ADDRESS01 crash (#1181)
 - Fixes a bug that made implementation of NAMESERVER11 create false error
   when server returned legitimate EDNS OPTION-CODE (#1173, #1177)
 - Removed unneeded binary dependency from installation instruction for
   Ubuntu and Debian (#1176)
 - Fixes a bug that made implementation of ZONE01 crash when more than
   one SOA Serial was returned from the zone's name servers (#1175, #1178)
 - Removes unused message tag (#1174)


v4.6.0 2022-12-19 (public release version)

 [Features]
 - Updates implementation of test case Zone09 (#1109, #1163, #1103,
   #1140, #1139)
 - Updates implementation of test case Zone01 (#1035, #1161)
 - Updates implementation of test case DNSSEC02 (#1158)
 - Adds new implementation of test case Nameserver11 (#1034)
 - Adds implementation of normalization specification replacing test
   case Basic00 (#1040, #1157)
 - Adds method for accessing translatable test case description (#1144)
 - Rewrites implementation of test cases Connectivity01 and
   Connectivity02 (#1143, #1136, #1137)
 - Removes test case Basic04, replaced by updated test cases Connectivity01
   and Connectivity02 (#1143)
 - Makes root hints configurable (#1134, #850)
 - Removes special treatment of SHA-1 in test case DNSSEC01 (#1116, #1115)
 - Makes IPV4_DISABLED/IPV6_DISABLED tags being consistently outputted in
   DEBUG level (#1102, #1117)

 [Fixes]
 - Fixes typo in message and removes zombie messages for Basic04 (#1168)
 - Updates installation instructions (#1162, #1130)
 - Cleanup system messages (#1142, #1164)
 - Fixes Nameserver10 EDNS query (#1160)
 - Fixes queries and response packets content for undelegated tests (#1150)
 - Corrects the license statement in Engine.pm (#1152)
 - Exposes the init methods (#1151)
 - Updates logentry arguments (#1138, #1128, #1135, #1126)
 - Removes need for double quotes for ASN Lookup (#1141)
 - Limits old profile_example.json to only properties not used in
   default profile and rename it (#1120)
 - Fixes missing update of ns args in SYSTEM messages (#1097)
 - Remove dependency on Net::IP, and use Net::IP::XS everywhere (#1119,
   #1107, #1159)
 - Use lowercase fragments to refer to internal headings in markdown
   documents (#1127)
 - Removes the use of a public resolver for test case Syntax06 (#1063)
 - Adds check for undelegated test in DNSSEC11 (#1101, #1099)
 - Refactors to avoid code duplication (#1098)
 - Adds editorial update of msgid for test case DNSSEC01 (#1072)


v4.5.1 2022-07-08 (public fix version)

 [Fixes]
 - Fixes a bug from previous release that prevented out-of-bailiwick nameservers
   to be resolved to IP address (no IP address was provided) in undelegated
   tests (#1090, #1089)
 - Updates Norwegian, Finnish and Danish translations (#1083, #1086, #1092)


v4.5.0 2022-06-09 (public release version)

 [Features]
 - Use pre-built packages for ubuntu (#1079)
 - Updates implementation of test case Nameserver10 (#1061, #1060)
 - Updates implementation of test case DNSSEC02 (#1051, #1049, #1036)
 - Updates implementation of test case DNSSEC01 (#1059, #1057)
 - Makes query timeout configurable in profile (#1069)
 - Makes SOA values configurable in profile (#1032, #945)

 [Fixes]
 - Updates installation procedure (#1084, #1080)
 - Updates translation (#1073, #1075, #1081, #1077, #1082, #1038)
 - Updates to Docker image (#1066)
 - Makes installation test true network independent (#1045, #888, #1068)
 - Updates message argument document (#1064)
 - Improves caching of test results (#1044, #1043, #1042)
 - Updates to use libidn2 instead of libidn (#1056 )
 - Updates messages (#1010, #1047)
 - Fixes test case DNSSEC10 case when DNSKEY is empty (#1037, #1036)
 - Fixes test case order in profile.json (#1027)
 - Cleans up dependencies and imports (#1041, #1054)


v4.4.0 2021-12-20 (public fix version)
 [Features]
 - Adds translation to Spanish language (#994)

 [Fixes]
 - Updates Danish translation (#1025, #1005)
 - Updates Norwegian translation (#1026, #1006)
 - Fixes bug where TC flag was checked on non-response (#1029, #1028)
 - Updates Swedish translation (#1011, #1007)


v4.3.0 2021-12-03 (public release version)

 [Features]
 - Deb packages are available for Debian (#1021)
 - Adds support for Docker (#1002, #1012, #991)
 - Replaces CentOS with Rocky Linux (#996)
 - Updates test case DNSSEC10 from updated specification (#995, #992, #772)
 - Adds test case DNSSEC18 (#990, #987)
 - Updates test cases DNSSEC15, DNSSEC16 and DNSSEC17 from update
   specification (#989, #988, 907, #896)
 - Updates test case DNSSEC09 from updated specification (#986, #985, #983, #980)
 - Updates test case DNSSEC02 from updated specification (#984, #982)
 - Updates test case DNSSEC08 from updated specification (#981, #978)
 - Updates test case DNSSEC11 from updated specification (#979, #977)
 - Updates test case DNSSEC13 from updated specification (#976, #975)

 [Fixes]
 - Updates French translation (#1015, #1004)
 - Cleanup in documentation (#1018, #1009)
 - Adds missing test case description (#1020, #1001)
 - Updates documentation for developers and translators (#997)
 - Updates dependency list (#999)
 - Updates msgid in Zone09 (#968, #967)
 - Improves code performance (#566)
 - Improves output in CLI (#971, #970)
 - Corrects the handling of "delete" CDS and CDNSKEY in test case
   DNSSEC15 (#969, #964)

v4.2.3 2021-09-17 (public fix version)

 [Fixes]
 - Fixes fatal error in output for Basic04 test. (#952)
 - Fixes bug that prevents installation tests to pass. The bug does not
   affect live tests, only tests with recorded data. (#958, #956)


v4.2.2 2021-07-23 (public fix version)

 [Fixes]
 - Updates data for unit tests. The error prevented normal installation,
   but did not affect normal operation. (#943)


v4.2.1 2021-06-04 (public fix version)

 [Fixes]
 - Updates Finnish translations (#931, #911)


v4.2.0 2021-05-28 (public release version)

 [Features]
 - Updates profile to reduce repeated messages on no response (#923)
 - Adds test case implementation of DNSSEC17 (#906, #898)
 - Adds test case implementation of DNSSEC16 (#900, #897)
 - Adds test case implementation of DNSSEC15 (#896, #894)
 - Adds test case implementation of Basci04 (#892, #763)
 - Adds Finnish translation (PO file) (#880, #879)

 [Fixes]
 - Updates translations (#921, #917, #916, #914, #925, #910, #927, #913,
   #925, #910)
 - Updates instructions (#918, #919, #889, #926)
 - Corrects code (#915)
 - Updates share/Makefile to be FreeBSD compatible (#893, #702)


v4.1.1 2021-03-16 (public fix release version)

 [Fixes]
 - Updates unit test data to make it possible to install (#882, #884)


v4.1.0 2021-02-10 (public release version)

 [Features]
 - Adds configurable timer settings for RRSIG in test case DNSSEC04
   (#860, #200)
 - Updates test case Syntax06 according to updated specification
   (#803, 610)
 - Updates messages arguments to be consistent (#854, #853, #60, #713)

 [Fixes]
 - Updates translation (#874, #873, #872)
 - Corrects test case messages (#870)
 - Cleans up profile file (#868, #867, #866, 843)
 - Updates installation instructions (#865, #861)
 - Makes code accept key ID 0 (#863, #864)
 - Corrects DNSSEC unit test (#859, #864, #860)
 - Corrects typos in test case Delegation05 (#858, #820, #846, #822)
 - Corrects sorting for test case Connectivity03 (#852, #851)
 - Updates root hint data (#849)


v4.0.3 2020-11-18 (public fix version)

 [Fixes]
 - Fixed bug that prevented installation due to false error
   in unit test (#845, #844)


v4.0.2 2020-11-12 (public fix version)

 [Fixes]
 - Fixed bug in ASN lookup using RIPE riswhois that prevented it
   from working (#833, #834)


v4.0.1 2020-11-09 (public release version)

 [Fixes]
 - Fixed a version specification error in Makefile.PL.


v4.0.0 2020-11-06 (public release version)

 [Breaking changes]
 - Remove the DISABLE feature (#736, #454)

 [Features]
 - Added Norwegian language (#806, #786, #751)
 - Updated Connectivity03:
   - Add support of RIPE Ris whois for ASN lookup (#802, #592),
     however, also see #833
   - New messages.
 - DNSSEC02 with updated logic (#619, #783)
 - Add Zonemaster::Engine::Net::IP::ip_is_ipv4 (#689, #688)

 [Fixes]
 - Updated/corrected translations/PO files (#832, #824, #827, #823, #809,
   #811, #808, #796, #794 #789, #787, #779, #757, #776, #761, #735, #745,
   #746)
 - Updated/corrected data for unit test (#831, #830)
 - Corrected/updated Translator.pm (#826, #817, #805, #775, #766, #798,
   #776, #755, #749, #748)
 - Made po-files.t use gmake for FreeBSD (#819, #816)
 - Made FreeBSD to use gmake at installation (#815)
 - Corrections to share/Makefile (#813, #814, #807, #804, #771, #726)
 - Updated msgid and message arguments (#799, #713, #795, #788, #792, #790,
   #782, #776, #758, #760, #743)
 - Updated instructions for translators (#772)
 - Updated documentation in Profile.pm (#768)
 - Corrected system message (#784, #731)
 - Corrected Nameserver::Cache (#778, #324)
 - Removed duplicate messages from DNSSEC14 (#770, #769)
 - Added START/END messages to test cases (#764, #665)
 - Clean-up (#801, #767, #765, #752, #736, #454)
 - Corrected Consistency05 (#759, #742)
 - Corrected Delegation01 (#760, #743)


v3.1.2 2020-05-22

[Fixes]
 - Comparison in Zone10 on SOA owner name was done in case
   sensitive manner which created false ERRORs for some zones
   and depending on the case of input zone name (#734, #737)


v3.1.1 2020-05-15

[Fixes]
 - Resolved issue where Zonemaster crashed when testing zones which
   have RRSIG referring to absent DNSKEY (#727, #728)


v3.1.0 2020-04-30

 [Features]
 - Allow installation of new LDNS on Debian 9 (#667)
 - Add more meaningful message for unsupported algorithms in
   DNSSEC test cases (#641, #632)
 - Improved the handling of "fuzzy" PO files (#640, #598, #600, #596)
 - Implementation of revised version of DNSSEC10 (#633, #618, #632)
 - Implementation of revised version of DNSSEC01 (#627, #616, #308)
 - Implementation of revised version of DELEGATION05 (#628, #617, #236)
 - Added test case DNSSEC13 (#611, #620)
 - Update implementation of Nameserver05 (#612, #615)
 - Added new test case Zone10 (#595, #606)
 - Update implementation of Delegation01 (#569, #603, #520)
 - Update implementation of DNSSEC05 (#570, #602)
 - Implement DNSSEC14 (#584, #586)
 - Updated gettext handling of translations (#573, #588, #191, #631, #625)
 - Make test module auto-detection less dynamic (#580)
 - Use Net::IP::XS when available (#565, #567)
 - Install all runtime dependencies from binary packages (#547, #451)
 - A util that prints recorded data in dig format (#555)

 [Fixes]
 - Update installation instructions on algo 15 support and other
   issues (#677, #678, #683, #690)
 - Update Danish translation da.po (#718, #706)
 - Updated Swedish translation (sv.po) (#710, #705, #716)
 - Add DS treatment in case of SHA-1 in DNSSEC01 (#715, #712)
 - Updated and expanded Translation document (#701, #708)
 - Remove useless dependency (#700, #699)
 - French translations updated (#698, #696)
 - Fixes erroneous duplicated message in dnssec01 test (#695, #694)
 - Fixes DNSSEC unexpected hash reference in messages (#693, #692)
 - Editorial changes to some DNSSEC message strings (#691)
 - Corrected link to default profile (#687)
 - Add test case for listing IPv6 addresses in IPv6 message (#686)
 - Fixed Engine fails to install in CentOS 8 due to unit test problem
   (#680, #681)
 - Fixed false error when IPv6 was disabled (#674, #676)
 - Fixed incorrect handling of CNAME (#672, #673)
 - Fixed code and test data for broken DNSSEC test (#670, #671)
 - Update management of MO file (#664)
 - Fixed case sensitivity in Consistency05 (#659, #658)
 - Translation to Danish (#636, #626, #624, #604, #600)
 - Fixed Consistency test cases messages typos (#653, #643, #647)
 - Fixed DELEGATION01 messages (#652, #648, #644)
 - Fixed DNSSEC error message typo (#651, #642)
 - Fixed some DNSSEC10 and DNSSEC14 messages (#650, #646, #644)
 - Cleaned up obsolete whitelist mechanism (#649, #597)
 - Fixed French translation (#644, #599, #551, #607)
 - Fixed DNSSEC14 missing messages (#645)
 - Remove non-determinism in file generation (#639, #638)
 - Update of en.po (#637, #609)
 - Updated and corrected sv.po (#623, #605, #598)
 - Fixed missing msgid in Zone.pm (#613, #614)
 - Fixed that Consistency05 not reported extra addresses at child
   (#577, #593)
 - Fixed that Consistency05 not reported that glue address is
   different from authoritative data (#582, #593)
 - Fixed argument should only be name, not name/addr (#102, #608)
 - Expected MX CNAME Error (#561, #589)
 - Fixed that some DNSSECxx do not respect "no IPv6" (#543, #587)
 - Fixed missing messages in Delegation.pm (#558, #590)
 - Fixed broken Test-dnssec.t (#419, #583)
 - Fixed incorrect message from the Delegation module (#545, #552)
 - Partial fix for translation on FreeBSD 11 (#562, #546)


v3.0.3 2019-05-22 (public release version)

 [Status]
 - This a public release fully tested before release. This version
   will be available on CPAN.

 [Fixes]
 - Added instructions for preparation of packages for FreeBSD (#544)
 - Removed example entry from default profile (#536)
 - Corrected incorrect consistency verification for IP addresses between
   the child and the parent (#532, #535)
 - Corrected message (#523, #533)
 - Corrected truncated msgid (#528)
 - Added missing DNSSEC messages to test results (#521, #527)
 - Updated dependencies for Debian and FreeBSD (#525)
 - Dropped support for Ubuntu 14.04 (#519)
 - Split message BROKEN_EDNS_SUPPORT in Nameserver02 (#516, #517)
 - Made message IN_BAILIWICK_ADDR_MISMATCH more explicit (#467, #515)
 - Resolve issues around unwanted blacklisting (#504, #511)


v3.0.2 2019-03-15 (pre-release version)

 [Status]
 - This is a pre-release version not fully tested on all supported
   OS's and Perl versions. This version will not be available on
   CPAN.

 [Fixes]
 - Never serialize numeric profile properties as JSON strings (#505)
 - Add a forgotten dependency to the installation instruction. (#490)


v3.0.1 2019-01-31 (pre-release version)

 - Status
   - This is a pre-release version not fully tested on all supported
     OS's and Perl versions. This version will not be available on
     CPAN.
 - Fixes
   - Fixed nameserver02 algorithm to match specification (#493)


v3.0.0 2019-01-25 (pre-release version)

 - Status
   - This is a pre-release version not fully tested on all supported
     OS's and Perl versions. This version will not be available on
     CPAN.
 - API change
   - Replaced separate config and policy with a unified profile
     (see below)
 - Features
   - Updated implementation of Delegation01 (#396, #410)
   - Updated implementation of Consistency06 (#408)
   - Updated implementation of Nameserver01 (#399, #435)
   - Updated implementation of DNSSEC05 (#409)
   - Updated translation tooling #394
   - Updated implementation of Syntax06 (#421)
   - Updated implementation of Delegation03 (#425)
   - Updated implementation of Consistency05 (#427, #429, #470)
   - Updated implementation of Consistency01 (#433)
   - Updated translation of messages (#436)
   - Replaced separate config and policy with a unified profile
     - Updated profile.pm (#386)
     - Profiles updates #441
     - Profile instead of config and policy #446
     - Profiles tweaks #447
     - Add script to convert Config/Policy to Profile files #446
     - Fixed flags issue #459
     - Add more details in case of crash for profile properties #471
     - Add true/false processing for Booleans #472
     - Deleted iana-profile.json #465
     - Updated profile.json files; removed unused messages and added
       missing messages #464
     - Update resolver.source default value to match
       documentation #473
     - Align tests and impl for boolean properties with
       documentation #474
     - Various #478
   - Added support to test EDNS features
     - Support for Edns and test case implementation (Nameserver10,
       ..11, ..12 and ..13; ..14 excluded) #460
     - Test against develop version of Zonemaster LDNS with EDNS
       support #462
     - Various #481, #485
 - Fixes
   - Updated formatting of msgid tables #402
   - Fixed broken tests #412
   - All link references on GitHub now to zonemaster/zonemaster instead
     of old dotse/zonemaster #406
   - Updated manifest #422
   - Updated travis conf to match supported perl versions (#426, #463)
   - Removed List::Util::all (only supported in Perl 5.20 and higher) #432
   - Added missing message in Delegation.pm #415
   - Added missing message in DNSSEC.pm #416
   - Added missing message in Nameserver.pm #417
   - Removed unused message and added used message in Basic.pm #413
   - Various #487


v2.0.7 2018-06-25

- Fixed
  - Update Installation.md. Add installation of Test::More from
    CPAN to get the newest version. (#371)
  - Minor updates (#374, #386, #375, #377)
  - Restore unit tests (#378)
  - Better report when Cymru reports no ASN (#272, #385)
  - More checks in get_iana_address_spaces_infos.pl (#300, #387)
  - Fixed bug in Nameserver.pm (#384, #389)
  - Update install instructions for debian and centos (#393)
  - Updated installation instructions for FreeBSD. Now using
    cpanm instead of cpan. (#403)


v2.0.6 2018-01-12

- Natural Language support
  - Added support for Danish language (#351, #354)

- Patches
  - Fixed installation instruction (#342)
  - Update distribution description (#339)
  - Updated according to updated Delegation01 (#296, #346)
  - Fixes: Missing French translation (#343, #347)
  - Fixes: NAMESERVER:RECURSIVITY_UNDEF does not log host (#275, #311)
  - Fixes: Fake delegation with explicit IP address is ignored (#295, #355)
  - Fixes: Engine fails to verify NS in zone (#356, #357)
  - Fixes: When testing a zone with 2 NS that point to the same IP (#140, #360)
  - Update sv.po to match updates of en.po (#271, #359)
  - Editorial updates of po files (#362)

- Other changes
  - Unneeded translation file removed (#345)
  - Add (and corrected) MANIFEST to repo (#364, #366)

v2.0.2 - v2.0.5 never released.

v2.0.1 2017-11-02

- Fixed
  - Fixed licensing discrepancy (#336)
  - Updated dependency version (#334)
  - Updated links in documentation (#330)
  - Updated installation instructions (#332, #333, #335)

- Changed in v2.0.0
  - Renamed distribution from Zonemaster to Zonemaster-Engine (#303)

v2.0.0

- Switch version scheme to Semantic Versioning.
- Breaking changes
  - Renamed module from Zonemaster to Zonemaster::Engine (#303)
- Patches
  - Updated implementation of ADDRESS01/Name server address must be globally routable (#264)
  - Updated implementation of BASIC01/The domain must have a parent domain (#260)
  - Updated translations (#127, #196, #216, #248, #249, #291)
  - Incremented VERSION of internal packages (98868cb)
- Other changes
  - Fixed Commonmark rendering for GitHub (cc7a28a)
  - Switch msgfmt implementation to pure Perl (#223, #224)
  - New Unit tests infrastructure. 896 tests kept, 2 removed, will be added back later (#310)

v1.1.0 2017-04-04 Public pre-release

- This release will not be published on CPAN since it contains updates that have
  not been fully tested. Do not update production systems without verification.
- Use JSON::PP instead of JSON (#262)
- Changed versioning (#263)
- Fixes Use of uninitialized value in Nameserver.pm (#267)
- Solved couldn't find pod for Zonemaster::Net::IP (#222)
- Solved Tags without translations in en.po (#253)
- Solved Duplicate tag in en.po (#252)
- Solved Update documentation for logfilters (#221)
- add Ed25519 (15) and Ed448 (16) algorithms (#290)
- Solved Nonexistent name server doesn't cause a failure (#278)

v1.0.16 2016-12-12

- Updated and added Swedish translations (#249, #248, #216, #196, partially #127)
- Corrected installation instructions for Debian/Ubuntu (#240)
- If one nameserver is "lame" then the Basic test could halt on that and not
  continue with next nameserver. Fixed in #239.
- Added test for NSEC3 OPT-OUT (#226).
- Using different IP address in unit test to avoid false fail (#219).
- Remove dependency on Net::IP::XS (#174).
- Updated the algorithm for discovering open resolvers to be more correct (#171).

v1.0.15 2016-10-14

- DNSSEC:EXTRA_PROCESSING_BROKEN when not authoritative #210
- Remove dependency on Net::IP::XS, use Net::IP (#174)
- remove-JSON-XS-from-installation (#208)
- Add filters to hostnames / messages (#206)
- Bug in comparison between parent and child (dotse/zonemaster#439)
- Fixing can't call method "rcode" on an undefined value at (dotse/zonemaster#463)
- Fixing french FAQ last version (dotse/zonemaster#210)
- Modify the "Notice" information when DNSSEC not signed (#193)
- Fixing CONNECTIVITY:NAMESERVER_NO_UDP_53 (and TCP) when ns not authoritative (#209)
- Fix perl warning about unquoted 'refs' (#229)
- Fixing issue while running "make test" in "CentOS Linux (#230)
- Add missing dependency in dotse/zonemaster-engine/docs/installation.md


v1.0.14 2016-06-15

 - Make it possible to run tests without network (pull request #166)
 - Error in status message (Zone category) issue #175
 - Fixed Swedish translation, issue #176
 - no public symbols defined for Zonemaster::NSArray issue #446
 - uninitialized value $tld (issue #179)
 - Would be nice to add a count of name servers #453
 - Partly resolved "JSON/JSON::XS usage and requirement", see issue #165
 - nameserver03 test should not perform network requests, issue #168
 - Locale files are neither generated nor installed #173
 - ASN test should only look at authoritative nameservers at the child, issue #441
 - Modify the "Notice" information when DNSSEC not signed, issue #193
 - Implement updated test case dnssec02, issue #187
 - Log issues (pull request #203)
 - Delegation::ARE_AUTHORITATIVE display too many name servers + translation, issue #186
 - False positive on open recursive name server, issue #171

v1.0.13 2016-01-27
 - Updates to MANIFEST.skip

v1.0.12 2015-12-22
 - Fixed pod testing
 - Fixed links in pods
 - Update CPAN dependencies for centos

v1.0.11 2015-12-17
 - Added IANA profile
 - Fixed a spelling error

v1.0.10 2015-11-18
 - Proper Makefile regex in MANIFEST.SKIP

v1.0.9 2015-11-17
 - Removed files from distribution, added to MANIFEST.SKIP, #153 #154

v1.0.8 2015-11-16
 - Make test should work much better, #149 #137 #139 #121
 - Translation fixes for French and Swedish #144
 - Better output for ASN debug messages #138
 - Fixes for Upper and lower case queries, #128
 - Fixes in output of arrays in log messages
 - Increase EDNS0_BAD_QUERY message severity level

v1.0.7 2015-10-01
 - ASN in logs are now arrays
 - Make test without IPv6 connectivity works, fixes #121
 - Now requires Net::Socket::IP
 - Fixes malformed log messages

v1.0.6 2015-09-16
 - Fix for removal of Text::Capitalize

v1.0.5 2015-09-10
 - Removes dependency on Text::Capitalize (issue #110 and #109)
 - Split the ns and address args fields in the log (continuing work), including RECURSE_QUERY
 - Added get_max_level() to Zonemaster::Logger
 - Added blacklisting functionality for non-responding name servers (issue #96)
 - Removed GOST functionality
 - Improved test coverage
 - Fixed the test nameserver08 (issue #93 and issue #94)

v1.0.4 2015-06-24
 - Fixed NSEC3 iterations evaluation, issue #77
 - Key size info on DNSKEY records, issue #79
 - Signature expiration info, issue #13
 - Added new test case, nameserver08, QNAME case insensitivity
 - Fixed English log entry on open recursors, issue #76
 - Added new test case, nameserver07, upward referrals
 - Fixed nameserver response times, issue cli #20
 - Fix empty key list crash, issue zonemaster #320
 - Logging improvements, work on issue #60
 - Improvements on JSON output
 - Fixed locale problems

v1.0.3 2015-04-07
 - Add message stating clearly that a name is not a domain.
 - Check more thoroughly that answers are answers when building zone NS
   list.
 - Source address settable by nameserver object with a global default.
 - Documentation updates.
 - Log information on how and when a test was started.
 - Fix capitalization bug in consistency04.
 - Cache was not properly cleared.
 - Fix for crash bug.
 - Updated DNSSEC policy
 - Refer to overview page from Zonemaster page.
 - Fix missed corner case in parent-finding algorithm.
 - CNAME handling accidentally left outside check for packet existence.
 - Clearer message when failing signature checks because GOST support is
   not present.

v1.0.2 2015-02-24
 - Run most DNSSEC tests even when there is no DS.
 - Raise Net::LDNS requirement to v0.71. Closes #17. Closes #18.
 - Document policy data.
 - Make it so the policy can decide which test cases should be run by
   default.
 - Make sure dnssec11 emits one and only one message.
 - [BugFix] Classless in-addr.arpa #14

v1.0.1 2014-12-30
 - Raise version numbers for changed modules.
 - Change level of open AXFR message to NOTICE.
 - CNAME was not handled correctly when looking up addresses for names.
 - Faked DS response packets should have AA set.
 - Add and/or adjust Swedish translations to match en.po.
 - Fix NSEC3PARAM issue reported by Jakob Schlyter.

v1.0.0 2014-12-11 Public beta release.

v0.1.0 2014-11-17 Alpha test release.

v0.0.8 2014-11-04 Developer release.

v0.0.7 2014-10-30 Developer release.

v0.0.2 2014-05-25 Initial developer release.

